For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList customers
      • GETRetrieve customer
      • GETRetrieve customer grant
      • GETList customer grants
      • POSTRevoke customer grant
      • Customer
      • POSTEvent: grant.created
      • POSTEvent: grant.status.updated
      • POSTEvent: customer.created
      • POSTEvent: customer.updated
      • POSTEvent: customer.deleted
  • Customer Request API
  • Management API
LogoLogo
Network APICustomers

List customer grants

GET
/customers/:customer_id/grants
GET
/network/v1/customers/:customer_id/grants
$curl https://api.cash.app/network/v1/customers/customer_id/grants \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "grants": [
3 {
4 "id": "GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50",
5 "customer_id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
6 "request_id": "GRR_1hrxhz136krcq6ezdte2ha5q",
7 "action": {
8 "amount": 2500,
9 "currency": "USD",
10 "scope_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
11 "type": "ONE_TIME_PAYMENT"
12 },
13 "status": "ACTIVE",
14 "type": "ONE_TIME",
15 "channel": "IN_PERSON",
16 "created_at": "2022-01-01T12:00:00Z",
17 "updated_at": "2022-01-01T12:01:00Z",
18 "expires_at": "2022-04-01T12:00:00Z"
19 }
20 ],
21 "cursor": "string"
22}

Returns a list of all customer grants for a given customer that match the provided query parameters.

This endpoint is rate limited to 250 QPS.

Scopes: GRANTS_READ

Was this page helpful?
Previous

Revoke customer grant

Next
Built with

Path parameters

customer_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of customer grants to return

Response

OK
grantslist of objects
List of customer grants matching the given query parameters
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error
404
Not Found Error